#
# spec file for package dasher (Version 3.2.19)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel at-spi at-spi-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat fam festival file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-speech gnome-speech-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv kdelibs3 kdelibs3-doc klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgssapi libidn libjpeg libjpeg-devel libmudflap libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils qt3 rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           dasher
BuildRequires:  at-spi-devel gail-devel gcc-c++ gnome-speech-devel gnutls-devel kdelibs3-doc libglade2-devel libgnomeprintui-devel libgnomeui-devel libstdc++ libwnck-devel mDNSResponder-devel perl-XML-Parser scrollkeeper update-desktop-files
Version:        3.2.19
Release:        24.7
Url:            http://www.inference.phy.cam.ac.uk/dasher/
Group:          System/GUI/GNOME
License:        GPL v2 or later
Summary:        Zooming Predictive Text Entry System
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.2/%{name}-%{version}.tar.bz2
Source1:        dasher.png
Source2:        dasher-pl.tar.bz2
Patch2:         %name-desktop.patch
AutoReqProv:    on
PreReq:         filesystem gconf2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dasher is a zooming predictive text entry system, designed for
situations where keyboard input is impractical (for instance:
accessibility or PDAs). It is usable with greatly limited amounts of
physical input while still allowing high rates of text entry.



Authors:
--------
    David MacKay
    David Ward
    Iain Murray
    Philip Cowans
    Hanna Wallach
    Matthew Garrett
    Chris Ball

%debug_package
%prep
%setup -q
%patch2 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && \
        mv configure.tmp configure && chmod u+x configure
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS -fpermissive"
./configure\
  --with-gnome\
  --prefix=/opt/gnome\
  --mandir=/opt/gnome/share/man\
  --sysconfdir=/etc/opt/gnome\
  --localstatedir=/var/opt/gnome\
  --libdir=/opt/gnome/%{_lib}
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/opt/gnome/gconf/schemas
cp Data/dasher.schemas $RPM_BUILD_ROOT/etc/opt/gnome/gconf/schemas
cp %{SOURCE1} $RPM_BUILD_ROOT/opt/gnome/share/pixmaps/
#cp %{SOURCE2} $RPM_BUILD_ROOT/opt/gnome/share/gnome/help
pushd $RPM_BUILD_ROOT/opt/gnome/share/gnome/help
tar xjvf %{SOURCE2}
popd
gzip -9nf $RPM_BUILD_ROOT/opt/gnome/share/man/man?/*.?
echo DocPath=dasher >> $RPM_BUILD_ROOT/opt/gnome/share/applications/dasher.desktop
for xml in $RPM_BUILD_ROOT/opt/gnome/share/gnome/help/dasher/*/dasher.xml; do
    meinproc --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
done
%suse_update_desktop_file -G "Text Entry Tool" %name GNOME
%find_lang %{name}

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/dasher.schemas >/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README
/etc/opt/gnome/gconf/schemas/dasher.schemas
/opt/gnome/bin/*
%doc /opt/gnome/share/man/man?/*.*
/opt/gnome/share/applications/*
/opt/gnome/share/dasher
/opt/gnome/share/pixmaps/*
/opt/gnome/share/omf/*

%changelog
* Thu Mar 20 2008 - mauro@suse.de
- Added new Polish translations from bnc#356557
- Added source dasher-pl.tar.bz2 from bnc#356557
* Fri Apr 14 2006 - dobey@suse.de
- Replace icon with new version from upstream
* Tue Feb 28 2006 - sbrabec@suse.cz
- Fixed BuildRequires.
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Fri Feb 24 2006 - sbrabec@suse.cz
- Improved Categories.
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 3.2.19.
* Mon Sep 05 2005 - gekker@suse.de
- Updated to version 3.2.18 (GNOME 2.12)
* Mon Sep 05 2005 - sbrabec@suse.cz
- Updated to version 3.2.17.
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 3.2.16
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 3.2.15 (GNOME 2.10).
- remove upstreamed patch for libwnck API breakage
* Mon Mar 07 2005 - gekker@suse.de
- Patch the libwnck API breakage
* Fri Feb 11 2005 - gekker@suse.de
- Updated to version 3.2.13
* Fri Jan 14 2005 - sbrabec@suse.cz
- Updated to version 3.2.12.
* Tue Dec 14 2004 - hvogel@suse.de
- fix desktop file
* Wed Oct 27 2004 - mmj@suse.de
- locale rename no to nb
* Mon Sep 20 2004 - adrian@suse.de
- add %%suse_update_desktop_file (#45636)
* Tue Aug 31 2004 - clahey@suse.de
- Don't --check as the docs don't validate.
* Wed Aug 25 2004 - clahey@suse.de
- Cache dasher docs and have dasher show up in khelpcenter.
* Mon Aug 16 2004 - ro@suse.de
- find Xtst lib on lib64
* Tue Jun 08 2004 - sbrabec@suse.cz
- GNOME support work-around.
  http://bugzilla.gnome.org/show_bug.cgi?id=143332
- Added support for Czech language.
- Added Czech training text (with permission of the Institute of the
  Czech National Corpus).
* Tue May 11 2004 - sbrabec@suse.cz
- Fixed gconftool-2 prerequirements.
* Tue May 04 2004 - sbrabec@suse.cz
- New SuSE package, version 3.2.10 (GNOME 2.6).
